MalformedLinkException (Java SE 14 & JDK 14)
Description: declaration: module: java.naming, package: javax.naming, class: MalformedLinkException
Keywords: javax.naming.MalformedLinkException class

Module java.naming
Package javax.naming

# Class MalformedLinkException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.LinkException
javax.naming.MalformedLinkException

All Implemented Interfaces:
  `Serializable`

    public class MalformedLinkException
    extends LinkException

This exception is thrown when a malformed link was encountered while resolving or constructing a link.

Synchronization and serialization issues that apply to LinkException apply directly here.

Since:
  1.3
See Also:
  `LinkRef.getLinkName()`, `LinkRef`, Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.LinkException

  `linkExplanation, linkRemainingName, linkResolvedName, linkResolvedObj`

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MalformedLinkException()` | Constructs a new instance of Malformed LinkException.
  `MalformedLinkException​(String explanation)` | Constructs a new instance of MalformedLinkException with an explanation.

- ## Method Summary

  ### Methods declared in class javax.naming.LinkException

  `getLinkExplanation, getLinkRemainingName, getLinkResolvedName, getLinkResolvedObj, setLinkExplanation, setLinkRemainingName, setLinkResolvedName, setLinkResolvedObj, toString, toString`

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MalformedLinkException

    public MalformedLinkException​(String explanation)
    Constructs a new instance of MalformedLinkException with an explanation. All the other fields are initialized to null.
    Parameters:
      `explanation` - A possibly null string containing additional detail about this exception.

  - ### MalformedLinkException

    public MalformedLinkException()
    Constructs a new instance of Malformed LinkException. All fields are initialized to null.